Bug 239210 - devel/aarch64-none-elf-gcc fails to install due to issue with pkg-plist
Summary: devel/aarch64-none-elf-gcc fails to install due to issue with pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Emmanuel Vadot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-14 20:37 UTC by Max
Modified: 2020-06-27 14:43 UTC (History)
2 users (show)

See Also:


Attachments
Fix issue with non-existing pkg-plist files (959 bytes, patch)
2019-07-14 20:37 UTC, Max
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max 2019-07-14 20:37:07 UTC
Created attachment 205778 [details]
Fix issue with non-existing pkg-plist files

Hello,

It appears the devel/aarch64-none-elf-gcc is failing to install due to pkg-plist referencing non-existing files in the upstream master GCC 6.4.0 package

I saw similar issue was raised here but it was closed.


Please find the proposed SVN diff patch that appears to fix the problem

Here is the latest error on *make install*:
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_fil.h:No such file or directory
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_lookup.h:No such file or directory
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_nat.h:No such file or directory
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_proxy.h:No such file or directory
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_scan.h:No such file or directory
>>>pkg-static: Unable to access file /usr/ports/devel/aarch64-none-elf-gcc/work/stage/usr/local/lib/gcc/aarch64->>>none-elf/6.4.0/include-fixed/netinet/ip_state.h:No such file or directory
>>>*** Error code 74

Thanks
Max
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-16 11:14:38 UTC
Over to maintainer.
Comment 2 commit-hook freebsd_committer 2020-06-27 14:39:44 UTC
A commit references this bug:

Author: manu
Date: Sat Jun 27 14:39:14 UTC 2020
New revision: 540609
URL: https://svnweb.freebsd.org/changeset/ports/540609

Log:
  aarch64-none-elf-gcc: Remove the include-fixed directory

  Those includes are, afaict, useless and cause problems if one build from a
  custom FreeBSD without IPFILTER.
  Do what the other gcc packages do and simply remove them.

  PR:		230199 239210

Changes:
  head/devel/aarch64-none-elf-gcc/Makefile
  head/devel/aarch64-none-elf-gcc/pkg-plist
  head/devel/arm-none-eabi-gcc/pkg-plist
  head/devel/riscv32-unknown-elf-gcc/pkg-plist
  head/devel/riscv64-none-elf-gcc/pkg-plist